From 645dbc617888d618b72d92d1ba45eea175637791 Mon Sep 17 00:00:00 2001
From: Francois Andrieu <darknao@fedoraproject.org>
Date: Feb 06 2022 15:41:51 +0000
Subject: [PATCH 78/88] use shallow clone everywhere we can


---

diff --git a/build-scripts/rebuild-site.py b/build-scripts/rebuild-site.py
index d3ad055..e130b67 100755
--- a/build-scripts/rebuild-site.py
+++ b/build-scripts/rebuild-site.py
@@ -56,7 +56,7 @@ def get_languages(config):
 
     with tempfile.TemporaryDirectory() as workdir:
         translated_sources_repo = os.path.join(workdir, "translated_sources_repo")
-        subprocess.run(["git", "clone", config["translated_sources_repo_url"], translated_sources_repo])
+        subprocess.run(["git", "clone", "--depth=1", config["translated_sources_repo_url"], translated_sources_repo])
 
         languages = []
         filename_blacklist = [".git"]
@@ -141,7 +141,7 @@ def prepare_translated_sources(translated_sources, site_yml, languages, config):
         en_sources = os.path.join(workdir, "en_sources")
 
         # Clone the original translated-sources
-        subprocess.run(["git", "clone", config["translated_sources_repo_url"], translated_sources_original])
+        subprocess.run(["git", "clone", "--depth=1", config["translated_sources_repo_url"], translated_sources_original])
 
         # Get a list of the original English repos
         repos = []
@@ -172,7 +172,7 @@ def prepare_translated_sources(translated_sources, site_yml, languages, config):
             with tempfile.TemporaryDirectory() as tmp_repo_root:
                 log("")
                 log("Cloning {url} {branch}".format(url=repo["url"], branch=repo["branch"]))
-                subprocess.run(["git", "clone", "--branch", repo["branch"], repo["url"], tmp_repo_root])
+                subprocess.run(["git", "clone", "--branch", repo["branch"], "--depth=1", repo["url"], tmp_repo_root])
 
                 repo_dir = os.path.join(tmp_repo_root, repo["start_path"])
                 antora_yml_file = os.path.join(repo_dir, "antora.yml")
@@ -245,7 +245,7 @@ def prepare_localized_admonitions(languages, config):
 
     with tempfile.TemporaryDirectory() as workdir:
         translated_keywords_repo = os.path.join(workdir, "asciidoc-keywords")
-        subprocess.run(["git", "clone", config["translated_adockeywords_repo_url"], translated_keywords_repo])
+        subprocess.run(["git", "clone", "--depth=1", config["translated_adockeywords_repo_url"], translated_keywords_repo])
 
         languages = []
         log(translated_keywords_repo + "/langs/*/asciidoc-attributes.yml")
@@ -304,7 +304,7 @@ def main():
 
         log("")
         log("===== Getting the site definition (site.yml) =====")
-        subprocess.run(["git", "clone", "--branch", config["docs_repo_branch"], config["docs_repo_url"], docs_repo])
+        subprocess.run(["git", "clone", "--branch", config["docs_repo_branch"], "--depth=1", config["docs_repo_url"], docs_repo])
 
         with open(os.path.join(docs_repo, "site.yml"), "r") as file:
             original_site_yml = yaml.safe_load(file)
@@ -434,7 +434,7 @@ def main():
                         lang_site_yml["asciidoc"]["attributes"] = keywords[lang]
 
                 # disable page-last-update extension 
-                if "antora" in lang_site_yml and "extensions" lang_site_yml["antora"]:
+                if "antora" in lang_site_yml and "extensions" in lang_site_yml["antora"]:
                   for ext in lang_site_yml["antora"]["extensions"]:
                     if ext['id'] == "page-last-update":
                       ext['enabled'] = False

